Subject: bug#9669: 24.0.50; `tramp-compat.el' in *Help* when it doesn't belong (?)

From: Stefan Monnier <[email-masked]>
Date: Wed, 05 Oct 2011 12:34:54 -0400

>> But it's the part in the "..." that I'm interested in (i.e. in which
>> context is icicle-redefine-standard-functions called).
> It is called when you turn on minor mode `icicle-mode'.
[...]
> "dis"))))))
>   icy-mode(1)
> ...

I'm not sure what that backtrace was about (the tip was different from
the other one, for example), and it still doesn't seem to include the beginning.
Basically, I'd expect this backtrace to have something to do with Tramp,
otherwise I have no clue how the defalias gets attributed to tramp-compat.el.

> In this example, `icicle-display-completion-list' would be the file
> that Emacs thinks is defined in `tramp-compat.el'.

Huh?  You said Emacs told you:

 icicle-read-char-by-name is a compiled Lisp function.

I.e. the actual function has no associated file (rather than being
associated to tramp-compat.el), while the defalias is associated with
tramp-compat.el.

        Stefan